Subject: Re: Last Call: <draft-farrresnickel-ipr-sanctions-05.txt> (Sanctions Available for Application to Violators of IETF IPR Policy) to Informational RFC

From: Brian E Carpenter <[email-masked]>
Date: Wed, 09 May 2012 07:51:55 +0100

I'd like to be reassured that this has been carefully reviewed
by the IETF counsel and the IETF Trust. In particular I would
be interested in its possible interaction with the IETF's
liability insurance.

>    Any IETF participant can call for sanctions to be applied to anyone
>    they believe has violated the IETF's IPR policy. This can be done by
>    sending email to the appropriate IETF mailing list.  

That seems reasonable, but publishing such a belief without having the
wording checked by a libel lawyer might be risky. I think the draft
should state that a call for sanctions should be based on factual
evidence and not on "belief". How about

   Any IETF participant can call for sanctions to be applied to anyone
   shown to have violated the IETF's IPR policy.  This can be done by
   sending email to the appropriate IETF mailing list, including a
   a short summary of the relevant facts and events.

Regards
   Brian Carpenter

On 2012-05-07 22:56, The IESG wrote:
> The IESG has received a request from an individual submitter to consider
> the following document:
> - 'Sanctions Available for Application to Violators of IETF IPR Policy'
>   <draft-farrresnickel-ipr-sanctions-05.txt> as Informational RFC
> 
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2012-06-04. Exceptionally, comments may be
> sent to [email-masked] instead. In either case, please retain the
> beginning of the Subject line to allow automated sorting.
> 
> Abstract
> 
> 
>    The IETF has developed and documented policies that govern the
>    behavior of all IETF participants with respect to Intellectual
>    Property Rights (IPR) about which they might reasonably be aware.
> 
>    The IETF takes conformance to these IPR policies very seriously.
>    However, there has been some ambiguity as to what the appropriate
>    sanctions are for the violation of these policies, and how and by
>    whom those sanctions are to be applied.
> 
>    This document discusses these issues and provides a suite of
>    potential actions that may be taken within the IETF community.
> 
> 
> 
> 
> The file can be obtained via
> http://datatracker.ietf.org/doc/draft-farrresnickel-ipr-sanctions/
> 
> IESG discussion can be tracked via
> http://datatracker.ietf.org/doc/draft-farrresnickel-ipr-sanctions/ballot/
> 
> 
> No IPR declarations have been submitted directly on this I-D.
> 
> 
>

---

From: Yoav Nir <[email-masked]>
Date: Wed, 9 May 2012 10:07:27 +0300

I think that regardless of how it's worded, the real question is whether liability falls to the person who sent the email (to a public mailing list) or the IETF. The difference between "believe" and "shown" seems minor in comparison. 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Brian E Carpenter
Sent: 09 May 2012 09:52
To: [email-masked]
Subject: Re: Last Call: <draft-farrresnickel-ipr-sanctions-05.txt> (Sanctions Available for Application to Violators of IETF IPR Policy) to Informational RFC

I'd like to be reassured that this has been carefully reviewed by the IETF counsel and the IETF Trust. In particular I would be interested in its possible interaction with the IETF's liability insurance.

>    sending email to the appropriate IETF mailing list.  

That seems reasonable, but publishing such a belief without having the wording checked by a libel lawyer might be risky. I think the draft should state that a call for sanctions should be based on factual evidence and not on "belief". How about

Regards
   Brian Carpenter

On 2012-05-07 22:56, The IESG wrote:
> The IESG has received a request from an individual submitter to 
> consider the following document:
> [email-masked] mailing lists by 2012-06-04. Exceptionally, comments may 
> be sent to [email-masked] instead. In either case, please retain the 

Scanned by Check Point Total Security Gateway.

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 09 May 2012 08:19:06 +0100

Yoav,

IANAL, but as far as I know libel suits are normally against individuals
(or media outlets such as newspapers). The defence against a libel
suit in the British courts, the most popular jurisdiction for
international libel suits, is factual accuracy. Therefore, I think
the draft should state the need for factual evidence.

And to be clear, there are plenty of precedents for libels originating
outside the UK leading to successful suits in the UK courts, if they
have been received in the UK via the Internet.

Regards
   Brian Carpenter

---

From: Yoav Nir <[email-masked]>
Date: Wed, 9 May 2012 10:44:42 +0300

I am not a lawyer either, but I think it depends on jurisdiction whether a mailing list will be considered as a media outlet or merely a "conduit". 

What the IETF writes in its policy amounts to a plea to users to pretty please send only factual information. I don't know that it makes a difference as to who is liable if the information turns out to be non-factual.

---

From: SM <[email-masked]>
Date: Wed, 09 May 2012 02:28:32 -0700

Hi Yoav,
At 00:44 09-05-2012, Yoav Nir wrote:
>What the IETF writes in its policy amounts to a plea to users to 
>pretty please send only factual information. I don't know that it 
>makes a difference as to who is liable if the information turns out 
>to be non-factual.

Section 3 text mentions several paths for the issue, i.e. 
responsibility lies with the working group chair with escalation to 
area directors.  Paragraph 2 and 3 discusses about that.  The issue 
which predates this draft is mentioned in the message at 
http://www.ietf.org/mail-archive/web/ietf/current/msg71484.html

Do you know any IETF participant who is dumb enough to send a public 
request for sanctions? :-)  That can affect the individual's carrier 
path in the IETF and in the corporate world.  Some IETF participants 
might even ask lawyers to take action.  Watching "Behind enemy lines" 
(disambiguation required) might be instructive in this context.

At the end of the day, this draft is simply a matter of having an RFC 
for those who might find the information helpful.  Sometimes all one 
can do is to say "pretty please".

I'll +1 this draft as it stands.

Regards,
-sm

---

From: Yoav Nir <[email-masked]>
Date: Wed, 9 May 2012 13:37:15 +0300

On May 9, 2012, at 12:28 PM, SM wrote:

> request for sanctions? :-)  

Dean Anderson often linked to his website: http://www.av8.net/IETF-watch/People/ (also loads of fun without the "People" path). IANAL but this does sound like libel.

More recently, but not related to IPR issues, during the last IETF quite a few of our prominent members were calling for sanctions (removal of posting privileges) after some of the IETF.Fact.Check posts.

> That can affect the individual's carrier 

I'm fine with it as it is. I just hope the IETF is not held responsible for postings by individuals.

---

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 9 May 2012 11:57:53 +0100

Hi,

I don't even own a television on which to watch people pretending to be
lawyers...

Both Brian and Yoav are making a worthwhile point, but I don't see how this I-D
changes what happens on IETF mailing lists as normal business. It is perfectly
possible for the IETF lists to be used to libel someone with or without this
I-D.

Brian makes a good point that the text should make it clear what level of
back-up we expect for such a claim. In writing the original text I had assumed
that everyone behaves like a reasonable adult when participating in the IETF -
gosh, am I naif?

Will fold in text close to Brian's suggestion.

Thanks,
Adrian

> I am not a lawyer either, but I think it depends on jurisdiction whether a
mailing
> list will be considered as a media outlet or merely a "conduit".
> 
> What the IETF writes in its policy amounts to a plea to users to pretty please
send
> only factual information. I don't know that it makes a difference as to who is
liable
> if the information turns out to be non-factual.
> 
> >> I think that regardless of how it's worded, the real question is whether
liability
> falls to the person who sent the email (to a public mailing list) or the IETF.
The
> difference between "believe" and "shown" seems minor in comparison.
> >>
> >> Subject: Re: Last Call: <draft-farrresnickel-ipr-sanctions-05.txt>
(Sanctions
> Available for Application to Violators of IETF IPR Policy) to Informational
RFC
> >>
> >> I'd like to be reassured that this has been carefully reviewed by the IETF
> counsel and the IETF Trust. In particular I would be interested in its
possible
> interaction with the IETF's liability insurance.
> >>
> wording checked by a libel lawyer might be risky. I think the draft should
state
> that a call for sanctions should be based on factual evidence and not on
"belief".
> How about

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 09 May 2012 12:03:12 +0100

Hi Adrian,

> possible for the IETF lists to be used to libel someone with or without this

Absolutely.

> that everyone behaves like a reasonable adult when participating in the IETF -

Any reply I gave to that would most likely be libellous ;-)

> Will fold in text close to Brian's suggestion.

Thanks.

   Brian

---

From: SM <[email-masked]>
Date: Wed, 09 May 2012 10:00:00 -0700

Hi Yoav,
At 03:37 09-05-2012, Yoav Nir wrote:
>loads of fun without the "People" path). IANAL but this does sound like libel.

http://www.ietf.org/mail-archive/web/ietf-announce/current/msg01967.html

>More recently, but not related to IPR issues, during the last IETF 
>quite a few of our prominent members were calling for sanctions 
>(removal of posting privileges) after some of the IETF.Fact.Check posts.

Some identifiers are well-known in some communities.  There is a 
zero-based risk to identify such identifiers.  People tend to go 
after low-hanging fruits.  Why would the "prominent members" be any different?

Regards,
-sm

---

From: Pete Resnick <[email-masked]>
Date: Wed, 9 May 2012 15:19:27 -0500

>     a short summary of the relevant facts and events.

Shown how and by whom? I think you're conflating two things here. Any 
participant can *call* for sanctions to be applied to anyone they 
believe has violated the policy. No libel in saying that I believe you 
have violated the policy. The sanctions ought not be applied until the 
chair/AD/whoever reasonably determines that the policy has in fact been 
violated. But that's not what the sentence above is talking about. I 
don't want participants to think that they can't bring up the issue of 
violation without some sort of "burden of proof". Can we figure out some 
words that express both things?

pr

-- 
Pete Resnick<http://www.qualcomm.com/~presnick/>
Qualcomm Incorporated - Direct phone: (858)651-4478, Fax: (858)651-1102

---

From: SM <[email-masked]>
Date: Wed, 09 May 2012 15:58:47 -0700

At 13:19 09-05-2012, Pete Resnick wrote:
>Shown how and by whom? I think you're conflating two things here. 
>Any participant can *call* for sanctions to be applied to anyone 
>they believe has violated the policy. No libel in saying that I 
>believe you have violated the policy. The sanctions ought not be 
>applied until the chair/AD/whoever reasonably determines that the 
>policy has in fact been violated. But that's not what the sentence 
>above is talking about. I don't want participants to think that they 
>can't bring up the issue of violation without some sort of "burden 
>of proof". Can we figure out some words that express both things?

Here's some text for the entire paragraph:

    Any IETF participant can call for sanctions to be applied to anyone they
    believe has violated the IETF's IPR policy.  This can be done by
    sending email to the appropriate IETF mailing list.  The area director or
    working group chair will discuss the matter with the IETF participant and
    determine whether the policy has in fact been violated.  Thus, when
    sanctions are called for, working group chairs will be the first actors
    when there is an active working group involved in the technical work, and
    area directors will be the first actors in other cases.

I avoided the "including a short summary of the relevant facts and 
events" as it comes out as "burden of proof".

Regards,
-sm

---

From: Fred Baker <[email-masked]>
Date: Wed, 9 May 2012 18:40:32 -0500

> I don't want participants to think that they can't bring up the issue of violation without some sort of "burden of proof".

Hmm.

I'm concerned about people bringing baseless accusations, as yet another way to DOS a WG with IPR. If a person believes that there is a violation that is worthy of the name, they should probably see to it that it gets discussed, but I don't see how they make that determination without having at least some data or report that can be verified. If someone in my working group brings such an accusation to me, trust me, the first question I am going to ask is "why do you believe that". If the answer is "can't you see they have shifty eyes", it will end there. I'm looking for at minimum that a named party has evidence to support it.

---

From: Randy Bush <[email-masked]>
Date: Wed, 09 May 2012 15:33:32 -1000

> believe has violated the IETF's IPR policy.

oh goodie!  let's have witch trials.  why bother with accusations, let's
just burn everyone below layer nine at the stake!

plonk.  that's two political crap stirrers in a week.  sad.

randy

---

From: Pete Resnick <[email-masked]>
Date: Wed, 9 May 2012 21:18:11 -0500

> I'm concerned about people bringing baseless accusations, as yet another way to DOS a WG with IPR. If a person believes that there is a violation that is worthy of the name, they should probably se…

I completely agree. That's why I asked that we figure out some text that 
does both things: Indicate that it's OK to say that you believe someone 
crossed the line and explain your reasons for that belief, but not 
require that it be a proven fact before you can even broach the subject. 
I can see how the current text might be too lax, but I thought Brian's 
text was too stringent. Looking for a happy medium.

pr

---

From: Mark Andrews <[email-masked]>
Date: Thu, 10 May 2012 12:26:33 +1000

In good faith that you believe, or potentially believe, that
	....
	
In message <[email-masked]>, Pete Resnick writes:
> >> I don't want participants to think that they can't bring up the issue of v
> iolation without some sort of "burden of proof".
> >>      
> > Hmm.
> >
> > I'm concerned about people bringing baseless accusations, as yet another wa
> y to DOS a WG with IPR. If a person believes that there is a violation that i
> s worthy of the name, they should probably see to it that it gets discussed, 
> but I don't see how they make that determination without having at least some
>  data or report that can be verified. If someone in my working group brings s
> uch an accusation to me, trust me, the first question I am going to ask is "w
> hy do you believe that". If the answer is "can't you see they have shifty eye
> s", it will end there. I'm looking for at minimum that a named party has evid
> ence to support it.
> 
-- 
Mark Andrews, ISC
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742                 INTERNET: [email-masked]

---

From: Randy Bush <[email-masked]>
Date: Wed, 09 May 2012 17:09:48 -1000

ok, ok, i put my foot in, so now have to pay

   Not conforming to the IETF's IPR policy undermines the work of the
   IETF, and sanctions should be applied against offenders.

s/should/may/

3.  Who May Call For and Apply Sanctions

   Any IETF participant can call for sanctions to be applied to anyone
   they believe has violated the IETF's IPR policy.

participants should not call for sanctions.  they should point out to wg
chairs, or ADs FACTS about questinable activity, non-disclosure, ...

and so forth.  i hope that this is not a witch hunt.  that it is not
creating courts and guillotines.  we should assume people want to act in
a responsible fashion and provide simple gentle paths to be taken when
that assumption fails.

randy

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 09 May 2012 21:29:50 -0600

On 5/9/12 9:09 PM, Randy Bush wrote:

> i hope that this is not a witch hunt.  that it is not

Well, draft-farrresnickel-ipr-sanctions is the stick here, whereas
draft-polk-ipr-disclosure is the carrot that we hope will make it more
likely that folks will indeed act in a responsible fashion.

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 10 May 2012 07:46:20 +0100

On 2012-05-10 03:18, Pete Resnick wrote:
>>> I don't want participants to think that they can't bring up the issue
>>> of violation without some sort of "burden of proof".
>>>      
>> Hmm.
>>
>> I'm concerned about people bringing baseless accusations, as yet
>> another way to DOS a WG with IPR. If a person believes that there is a
>> violation that is worthy of the name, they should probably see to it
>> that it gets discussed, but I don't see how they make that
>> determination without having at least some data or report that can be
>> verified. If someone in my working group brings such an accusation to
>> me, trust me, the first question I am going to ask is "why do you
>> believe that". If the answer is "can't you see they have shifty eyes",
>> it will end there. I'm looking for at minimum that a named party has
>> evidence to support it.
> 

Fair enough. I can't agree with SM though - as for appeals under RFC 2026,
the person bringing up an issue really has to provide a factual summary,
exactly to avoid witch hunts. It can be very short:

   Hi, I noticed that US Patent 12345 was filed in March 2010, and
   draft-blo-foobar was posted that June, and Jo Blo was an author
   of both. It looks as if they describe the same method, so why
   wasn't there an IPR disclosure in 2010? Would the WG Chairs consider
   sanctions against Jo Blo appropriate?

Possible text:

   Any IETF participant can draw attention to an apparent violation
   of the IETF's IPR policy.  This can be done by sending email to
   the appropriate IETF mailing list, including a short summary of
   the known facts and, optionally, a call for sanctions to be
   applied.

       Brian

---

From: SM <[email-masked]>
Date: Wed, 09 May 2012 23:30:17 -0700

>chairs, or ADs FACTS about questinable activity, non-disclosure, ...

Yes.

>a responsible fashion and provide simple gentle paths to be taken when

There are times when it is difficult to keep assuming that people are 
acting in a responsible fashion given the high levels of 
unpleasantness.  The situation can be such that simple gentle paths 
are ignored.

Fred Baker commented  [1]:

   "I'm concerned about people bringing baseless accusations, as
    yet another way to DOS a WG with IPR."

It only takes an IPR disclosure to make the WG work difficult.  It 
seems that an employer was not keen about the WG creation.

There are currently three IPR related issues affecting different 
working groups.  draft-farrresnickel-ipr-sanctions-05 does not affect 
any of these issues.  In one of these cases, the IPR disclosure 
happened after the document went through a Last Call.  A company gave 
up fighting a claim related to that IPR after spending US$1 million 
on lawyers.  If you write open source software, you stay away from 
IPR if you don't like the users of your software to receive ransom letters.

If someone wants to ask for sanctions, the person might have to file 
a third-party IPR disclosure first.  It is unlikely that there will 
be any action under draft-farrresnickel-ipr-sanctions-05 unless one 
of the WG participants is listed as an inventor.

>exactly to avoid witch hunts. It can be very short:

Agreed.

>    sanctions against Jo Blo appropriate?

That could be added as an example.

>    the known facts and, optionally, a call for sanctions to be

I suggested an adaptation of existing text from the draft based on 
Pete's comments.  I don't have a strong opinion about which text goes in.

 From the "island of stone money":

   "their island yields no metals, they had recourse to stone; stone,
    on which labour in fetching and fashioning has been expended, is
    as truly a representation of labour as the mined and minted coins
    of civilization."

    The German Government wanted the paths or highways, which were in
    bad condition to be repaired.  The commands to the chiefs of the
    districts remained unheeded.  It was decided to impose a fine by
    sending a man to mark a certain number of the stones with a cross
    in black paint.  "This instantly worked like a charm"; the people
    repaired the highways.

History will tell whether there is a parallel between the above and this draft.

Regards,
-sm

1. http://www.ietf.org/mail-archive/web/ietf/current/msg73287.html

---

From: Hector Santos <[email-masked]>
Date: Thu, 10 May 2012 06:04:47 -0400

>    the known facts and, optionally, a call for sanctions to be

+1.

I think the major part of the issue is the growing potential and ease 
to violate BCP79 section 6.2.1 in regards to belated patent filings 
after contributions are made as your above "Jo Blo" scenario reflects.

With the relaxation of patentability guidelines, software/business 
methods and availability of low cost Provisional Patents, it is far 
easier to fall trap to violation BCP79 6.2.1

Provisional Patents is the cheapest way to begin the patent process 
allowing up to one year to complete the full patent. This is an ideal 
way to first test the market which also legally allows the usage of 
"Patent Pending" in marketing material.  If the I-D gets no interest, 
then there is little cost (less than $200) lost to forget about the 
work.  In one year, the provisional patent expires.  There is 
strategic value not to disclose IP related information in the I-D 
perhaps to maximize interest and perhaps this is a IETF new dilemma 
the draft should also focus on and address.

For example, in the draft 2.1, the 3rd paragraph talks about 
"Timeliness" and specifically states:

    The timeliness of disclosure is very important within [BCP79].  No
    precise definition of "timeliness" is given in [BCP79] and it is not
    the purpose of this document to do so.

However, where provisional patent filings are in play, there is at 
least 1 year allowance and incentive to not disclose and that could be 
a problem depending on the speed and interest of the I-D development. 
The draft intro can highlight belated IPR disclosures and section 2.1 
first paragraph, for example, can add:

    According to [BCP79], individual IETF participants have a
    personal responsibility to disclose or ensure the timely disclosure
    of IPR of which they are aware or plan to create .....

So overall, more text emphasizing specifically BC979 section 6.2.1 to 
help highlight the awareness for document authors with a goal to lower 
the concerns of implementators who are watchful of protocols having 
current IPR disclosures and now belated IPR disclosure issues which 
much easier to occur today.

-- 
HLS

---

From: Hector Santos <[email-masked]>
Date: Thu, 10 May 2012 06:55:48 -0400

Always looking for automated solutions, perhaps the IETF I-D 
submissions process should include a patent database query check using 
document authors, document titles, abstract, keywords etc to find 
possible exact or near filings made, and if any are found, it can 
report immediately at the web site and/or send as part of the I-D 
submission confirmation message, something like so:

    NOTE: IPR INFORMATION FOUND, PLEASE VERIFY IF ANY OF THE FOLLOWING 
APPLIES:

    o US PATENT 12345 [title/abstract]
    o US PATENT 22202 [title/abstract]
    o including non-US patents found

The IETF I-D submission code can use a backend HTTP REST query using 
the Google Patent Search API.

Oh gosh, testing how this made work with my current I-D work:

     http://tools.ietf.org/html/draft-santos-smtpgrey-02

If the IETF I-D submission process did include a HTTP REST query with 
I-D extracted keywords such as: SMTP Extension Greylisting:

http://www.google.com/search?tbo=p&tbm=pts&hl=en&q=SMTP+Extension+Greylisting&num=10

then I-D submission confirmation message would of said:

    NOTE: IPR INFORMATION FOUND, PLEASE VERIFY IF ANY OF THE FOLLOWING 
APPLIES:

    o US PATENT 7849142
      Managing connections, messages, and directory harvest attacks at 
a server

And now I need to see if this needs applies or needs to be referenced 
in my I-D.

Either way, I think the IETF should consider using backend patent API 
searches with the services available.  I can see how can probably 
reduce a big part of the BCP79 related concerns.  Sometimes these IP 
things are not always obvious for I-D contributors.

-- 
Hector Santos
http://www.santronics.com
http://hector.wildcatblog.com
jabber: [email-masked]

Hector Santos wrote:
> I think the major part of the issue is the growing potential and ease to 
> violate BCP79 section 6.2.1 in regards to belated patent filings after 
> contributions are made as your above "Jo Blo" scenario reflects.
> 
> work.  In one year, the provisional patent expires.  There is strategic 
> value not to disclose IP related information in the I-D perhaps to 
> maximize interest and perhaps this is a IETF new dilemma the draft 
> should also focus on and address.
> 
> However, where provisional patent filings are in play, there is at least 
> 1 year allowance and incentive to not disclose and that could be a 
> problem depending on the speed and interest of the I-D development. The 
> draft intro can highlight belated IPR disclosures and section 2.1 first 
> paragraph, for example, can add:
> 
> current IPR disclosures and now belated IPR disclosure issues which much 
> easier to occur today.
>

---

From: "Livingood, Jason" <[email-masked]>
Date: Thu, 10 May 2012 12:13:31 +0000

>unpleasantness.  The situation can be such that simple gentle paths

This is IMO perhaps more a reflection of the bizarre state of patent laws
for software, processes, and methods around the world than the collective
maliciousness of IETF participants.

We may surely have some people with bad intentions but I think by and
large it's more 'we're engineers and it's hard to figure out all this
patent stuff' -- especially when the law keeps changing. Were it easy, the
discussion/update a few years ago if IETF IPR policy would have taken only
a week or two. 

I see the risks here including that this is the start of masses of lawyers
showing up at every IETF, etc. That'd kinda be a bummer (no offense to
lawyers). 

Jason

---

From: Nick Hilliard <[email-masked]>
Date: Thu, 10 May 2012 13:47:29 +0100

On 10/05/2012 11:55, Hector Santos wrote:
> Always looking for automated solutions, perhaps the IETF I-D submissions
> process should include a patent database query check using document
> authors, document titles, abstract, keywords etc to find possible exact or
> near filings made, and if any are found, it can report immediately at the
> web site and/or send as part of the I-D submission confirmation message,
> something like so:

The world is a large place.  If this process is implemented, it might also
be wise to search other large patent offices.  In order of population size:

- China Patent and Trademark Office
- The Patent Office of India
- European Patent Office
- USPTO
- Japan Patent Office

A more complete list can be found here:

http://www.wipo.int/directory/en/urls.jsp

The european and chinese patent offices would seem to be of at least equal
significance to the USPTO, on the basis that they are the relevant
intellectual property agencies for the #1 and #3 global economic powers.
Japan comes in at #4.

This will create Interesting Problems in terms of getting appropriate clue
to search chinese and japanese patent databases.

Nick

---

From: Russ Housley <[email-masked]>
Date: Thu, 10 May 2012 11:56:42 -0400

BCP 79 says:

      "Reasonably and personally known": means something an individual
      knows personally or, because of the job the individual holds,
      would reasonably be expected to know.  This wording is used to
      indicate that an organization cannot purposely keep an individual
      in the dark about patents or patent applications just to avoid the
      disclosure requirement.  But this requirement should not be
      interpreted as requiring the IETF Contributor or participant (or
      his or her represented organization, if any) to perform a patent
      search to find applicable IPR.

Your suggestion seems to be in direct conflict with BCP 79.

Russ

On May 10, 2012, at 6:55 AM, Hector Santos wrote:

> Always looking for automated solutions, perhaps the IETF I-D submissions process should include a patent database query check using document authors, document titles, abstract, keywords etc to find possible exact or near filings made, and if any are found, it can report immediately at the web site and/or send as part of the I-D submission confirmation message, something like so:
> 
>   NOTE: IPR INFORMATION FOUND, PLEASE VERIFY IF ANY OF THE FOLLOWING APPLIES:
> 
> The IETF I-D submission code can use a backend HTTP REST query using the Google Patent Search API.
> 
> If the IETF I-D submission process did include a HTTP REST query with I-D extracted keywords such as: SMTP Extension Greylisting:
> 
>   NOTE: IPR INFORMATION FOUND, PLEASE VERIFY IF ANY OF THE FOLLOWING APPLIES:
> 
>   o US PATENT 7849142
>     Managing connections, messages, and directory harvest attacks at a server
> 
> And now I need to see if this needs applies or needs to be referenced in my I-D.
> 
> Either way, I think the IETF should consider using backend patent API searches with the services available.  I can see how can probably reduce a big part of the BCP79 related concerns.  Sometimes these IP things are not always obvious for I-D contributors.
> 
> -- 
> Hector Santos
>> I think the major part of the issue is the growing potential and ease to violate BCP79 section 6.2.1 in regards to belated patent filings after contributions are made as your above "Jo Blo" scenario reflects.
>> With the relaxation of patentability guidelines, software/business methods and availability of low cost Provisional Patents, it is far easier to fall trap to violation BCP79 6.2.1
>> Provisional Patents is the cheapest way to begin the patent process allowing up to one year to complete the full patent. This is an ideal way to first test the market which also legally allows the usage of "Patent Pending" in marketing material.  If the I-D gets no interest, then there is little cost (less than $200) lost to forget about the work.  In one year, the provisional patent expires.  There is strategic value not to disclose IP related information in the I-D perhaps to maximize interest and perhaps this is a IETF new dilemma the draft should also focus on and address.
>> For example, in the draft 2.1, the 3rd paragraph talks about "Timeliness" and specifically states:
>> However, where provisional patent filings are in play, there is at least 1 year allowance and incentive to not disclose and that could be a problem depending on the speed and interest of the I-D development. The draft intro can highlight belated IPR disclosures and section 2.1 first paragraph, for example, can add:
>> So overall, more text emphasizing specifically BC979 section 6.2.1 to help highlight the awareness for document authors with a goal to lower the concerns of implementators who are watchful of protocols having current IPR disclosures and now belated IPR disclosure issues which much easier to occur today.
> 
> 
>

---

From: Martin Rex <[email-masked]>
Date: Thu, 10 May 2012 18:31:44 +0200 (MEST)

> Your suggestion seems to be in direct conflict with BCP 79.

IMHO your quote from BCP79 (page 4, bullet l.) is a very important
point in BCP79.  I can not speak for others, but the Internet Proxy
of our company blocks urls to all "well known" online patent search
and patent publication sites (and these are the only blocked sites
I've ever encountered) for the simple reason of the insane US patent
laws with this 3-fold "punitive damages" for "willful infringement"
of a patent, i.e. a patent that was known to exist when shipping.
As engineers, we MUST NOT read any patents because of this.
All of the patent reasarch stuff is done by patent lawyers exclusively.

btw. I personally know only about one patent where I refused to be
listed as inventor because I considered my contribution to it to be
"obvious to someone skilled in the technology".  When I read the
description after it had been processed by patent lawyers, I had
serious difficulties understanding what that text meant...

-Martin

---

From: SM <[email-masked]>
Date: Thu, 10 May 2012 09:53:20 -0700

>http://hector.wildcatblog.com

The above URI is listed by uribl.com.  Changes to mail.ietf.org will 
not fix the problem as it doesn't change the behavior of message 
filters on the recipient's side.

In case it is not clear, no action is requested from ietf.org. 
Messages from the sender with such content will still be distributed 
to IETF mailing lists and will still appear in the IETF mailing list archives.

Regards,
-sm

---

From: [email-masked]
Date: Thu, 10 May 2012 11:14:05 -0700 (PDT)

> All of the patent reasarch stuff is done by patent lawyers exclusively.

I don't know if a similar block exists, but the policy is the same for us.
Such a policy, if implemented, could easily lead to various people being
unable to participate in the process.

> serious difficulties understanding what that text meant...

A pretty common occurance, unfortunately.

				Ned

---

From: Dave Crocker <[email-masked]>
Date: Thu, 10 May 2012 12:16:45 -0700

> unable to participate in the process.

indeed.

more generally:  patents and the responsible handling of patent-related 
information are social issues.  we cannot solve or mitigate social 
issues with technical mechanisms.  let's not try.

d/
-- 
  Dave Crocker
  Brandenburg InternetWorking
  bbiw.net